Skip to main content
GET
/
v1
/
hosting
/
plans
[Hosting Plans] List available web hosting plans
curl --request GET \
  --url https://api.onetsolutions.net/v1/hosting/plans \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "name": "<string>",
      "slug": "<string>",
      "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "group_name": "<string>",
      "group_name_en": "<string>",
      "group_name_fr": "<string>",
      "group_slug": "<string>",
      "default_price": {},
      "pricing": [
        "<unknown>"
      ],
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name_en": "<string>",
      "name_fr": "<string>",
      "description": "<string>",
      "description_en": "<string>",
      "description_fr": "<string>",
      "hosting_type": "hostingaccount",
      "disk_space_mb": 2147483647,
      "bandwidth_mb": 2147483647,
      "max_email_accounts": 2147483647,
      "max_databases": 2147483647,
      "max_subdomains": 2147483647,
      "max_addon_domains": 2147483647,
      "max_parked_domains": 2147483647,
      "max_ftp_accounts": 2147483647,
      "max_accounts": 2147483647,
      "is_active": true
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

List of plans retrieved successfully

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"